package com.chinaitop.depot.intelligent.grainsituation.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TLqdataExample {
    /**
     * t_lqdata
     */
    protected String orderByClause;

    /**
     * t_lqdata
     */
    protected boolean distinct;

    /**
     * t_lqdata
     */
    protected List<Criteria> oredCriteria;

    public TLqdataExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_lqdata 2018-12-16
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNull() {
            addCriterion("v_cf_code is null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNotNull() {
            addCriterion("v_cf_code is not null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeEqualTo(String value) {
            addCriterion("v_cf_code =", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotEqualTo(String value) {
            addCriterion("v_cf_code <>", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThan(String value) {
            addCriterion("v_cf_code >", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_cf_code >=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThan(String value) {
            addCriterion("v_cf_code <", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThanOrEqualTo(String value) {
            addCriterion("v_cf_code <=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLike(String value) {
            addCriterion("v_cf_code like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotLike(String value) {
            addCriterion("v_cf_code not like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIn(List<String> values) {
            addCriterion("v_cf_code in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotIn(List<String> values) {
            addCriterion("v_cf_code not in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeBetween(String value1, String value2) {
            addCriterion("v_cf_code between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotBetween(String value1, String value2) {
            addCriterion("v_cf_code not between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVDataTimeIsNull() {
            addCriterion("v_data_time is null");
            return (Criteria) this;
        }

        public Criteria andVDataTimeIsNotNull() {
            addCriterion("v_data_time is not null");
            return (Criteria) this;
        }

        public Criteria andVDataTimeEqualTo(Date value) {
            addCriterion("v_data_time =", value, "vDataTime");
            return (Criteria) this;
        }

        public Criteria andVDataTimeNotEqualTo(Date value) {
            addCriterion("v_data_time <>", value, "vDataTime");
            return (Criteria) this;
        }

        public Criteria andVDataTimeGreaterThan(Date value) {
            addCriterion("v_data_time >", value, "vDataTime");
            return (Criteria) this;
        }

        public Criteria andVDataTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("v_data_time >=", value, "vDataTime");
            return (Criteria) this;
        }

        public Criteria andVDataTimeLessThan(Date value) {
            addCriterion("v_data_time <", value, "vDataTime");
            return (Criteria) this;
        }

        public Criteria andVDataTimeLessThanOrEqualTo(Date value) {
            addCriterion("v_data_time <=", value, "vDataTime");
            return (Criteria) this;
        }

        public Criteria andVDataTimeIn(List<Date> values) {
            addCriterion("v_data_time in", values, "vDataTime");
            return (Criteria) this;
        }

        public Criteria andVDataTimeNotIn(List<Date> values) {
            addCriterion("v_data_time not in", values, "vDataTime");
            return (Criteria) this;
        }

        public Criteria andVDataTimeBetween(Date value1, Date value2) {
            addCriterion("v_data_time between", value1, value2, "vDataTime");
            return (Criteria) this;
        }

        public Criteria andVDataTimeNotBetween(Date value1, Date value2) {
            addCriterion("v_data_time not between", value1, value2, "vDataTime");
            return (Criteria) this;
        }

        public Criteria andVDecDataIsNull() {
            addCriterion("v_dec_data is null");
            return (Criteria) this;
        }

        public Criteria andVDecDataIsNotNull() {
            addCriterion("v_dec_data is not null");
            return (Criteria) this;
        }

        public Criteria andVDecDataEqualTo(String value) {
            addCriterion("v_dec_data =", value, "vDecData");
            return (Criteria) this;
        }

        public Criteria andVDecDataNotEqualTo(String value) {
            addCriterion("v_dec_data <>", value, "vDecData");
            return (Criteria) this;
        }

        public Criteria andVDecDataGreaterThan(String value) {
            addCriterion("v_dec_data >", value, "vDecData");
            return (Criteria) this;
        }

        public Criteria andVDecDataGreaterThanOrEqualTo(String value) {
            addCriterion("v_dec_data >=", value, "vDecData");
            return (Criteria) this;
        }

        public Criteria andVDecDataLessThan(String value) {
            addCriterion("v_dec_data <", value, "vDecData");
            return (Criteria) this;
        }

        public Criteria andVDecDataLessThanOrEqualTo(String value) {
            addCriterion("v_dec_data <=", value, "vDecData");
            return (Criteria) this;
        }

        public Criteria andVDecDataLike(String value) {
            addCriterion("v_dec_data like", value, "vDecData");
            return (Criteria) this;
        }

        public Criteria andVDecDataNotLike(String value) {
            addCriterion("v_dec_data not like", value, "vDecData");
            return (Criteria) this;
        }

        public Criteria andVDecDataIn(List<String> values) {
            addCriterion("v_dec_data in", values, "vDecData");
            return (Criteria) this;
        }

        public Criteria andVDecDataNotIn(List<String> values) {
            addCriterion("v_dec_data not in", values, "vDecData");
            return (Criteria) this;
        }

        public Criteria andVDecDataBetween(String value1, String value2) {
            addCriterion("v_dec_data between", value1, value2, "vDecData");
            return (Criteria) this;
        }

        public Criteria andVDecDataNotBetween(String value1, String value2) {
            addCriterion("v_dec_data not between", value1, value2, "vDecData");
            return (Criteria) this;
        }

        public Criteria andVEncDataIsNull() {
            addCriterion("v_enc_data is null");
            return (Criteria) this;
        }

        public Criteria andVEncDataIsNotNull() {
            addCriterion("v_enc_data is not null");
            return (Criteria) this;
        }

        public Criteria andVEncDataEqualTo(String value) {
            addCriterion("v_enc_data =", value, "vEncData");
            return (Criteria) this;
        }

        public Criteria andVEncDataNotEqualTo(String value) {
            addCriterion("v_enc_data <>", value, "vEncData");
            return (Criteria) this;
        }

        public Criteria andVEncDataGreaterThan(String value) {
            addCriterion("v_enc_data >", value, "vEncData");
            return (Criteria) this;
        }

        public Criteria andVEncDataGreaterThanOrEqualTo(String value) {
            addCriterion("v_enc_data >=", value, "vEncData");
            return (Criteria) this;
        }

        public Criteria andVEncDataLessThan(String value) {
            addCriterion("v_enc_data <", value, "vEncData");
            return (Criteria) this;
        }

        public Criteria andVEncDataLessThanOrEqualTo(String value) {
            addCriterion("v_enc_data <=", value, "vEncData");
            return (Criteria) this;
        }

        public Criteria andVEncDataLike(String value) {
            addCriterion("v_enc_data like", value, "vEncData");
            return (Criteria) this;
        }

        public Criteria andVEncDataNotLike(String value) {
            addCriterion("v_enc_data not like", value, "vEncData");
            return (Criteria) this;
        }

        public Criteria andVEncDataIn(List<String> values) {
            addCriterion("v_enc_data in", values, "vEncData");
            return (Criteria) this;
        }

        public Criteria andVEncDataNotIn(List<String> values) {
            addCriterion("v_enc_data not in", values, "vEncData");
            return (Criteria) this;
        }

        public Criteria andVEncDataBetween(String value1, String value2) {
            addCriterion("v_enc_data between", value1, value2, "vEncData");
            return (Criteria) this;
        }

        public Criteria andVEncDataNotBetween(String value1, String value2) {
            addCriterion("v_enc_data not between", value1, value2, "vEncData");
            return (Criteria) this;
        }

        public Criteria andFWdOutIsNull() {
            addCriterion("f_wd_out is null");
            return (Criteria) this;
        }

        public Criteria andFWdOutIsNotNull() {
            addCriterion("f_wd_out is not null");
            return (Criteria) this;
        }

        public Criteria andFWdOutEqualTo(BigDecimal value) {
            addCriterion("f_wd_out =", value, "fWdOut");
            return (Criteria) this;
        }

        public Criteria andFWdOutNotEqualTo(BigDecimal value) {
            addCriterion("f_wd_out <>", value, "fWdOut");
            return (Criteria) this;
        }

        public Criteria andFWdOutGreaterThan(BigDecimal value) {
            addCriterion("f_wd_out >", value, "fWdOut");
            return (Criteria) this;
        }

        public Criteria andFWdOutGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_wd_out >=", value, "fWdOut");
            return (Criteria) this;
        }

        public Criteria andFWdOutLessThan(BigDecimal value) {
            addCriterion("f_wd_out <", value, "fWdOut");
            return (Criteria) this;
        }

        public Criteria andFWdOutLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_wd_out <=", value, "fWdOut");
            return (Criteria) this;
        }

        public Criteria andFWdOutIn(List<BigDecimal> values) {
            addCriterion("f_wd_out in", values, "fWdOut");
            return (Criteria) this;
        }

        public Criteria andFWdOutNotIn(List<BigDecimal> values) {
            addCriterion("f_wd_out not in", values, "fWdOut");
            return (Criteria) this;
        }

        public Criteria andFWdOutBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_wd_out between", value1, value2, "fWdOut");
            return (Criteria) this;
        }

        public Criteria andFWdOutNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_wd_out not between", value1, value2, "fWdOut");
            return (Criteria) this;
        }

        public Criteria andFSdOutIsNull() {
            addCriterion("f_sd_out is null");
            return (Criteria) this;
        }

        public Criteria andFSdOutIsNotNull() {
            addCriterion("f_sd_out is not null");
            return (Criteria) this;
        }

        public Criteria andFSdOutEqualTo(BigDecimal value) {
            addCriterion("f_sd_out =", value, "fSdOut");
            return (Criteria) this;
        }

        public Criteria andFSdOutNotEqualTo(BigDecimal value) {
            addCriterion("f_sd_out <>", value, "fSdOut");
            return (Criteria) this;
        }

        public Criteria andFSdOutGreaterThan(BigDecimal value) {
            addCriterion("f_sd_out >", value, "fSdOut");
            return (Criteria) this;
        }

        public Criteria andFSdOutGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_sd_out >=", value, "fSdOut");
            return (Criteria) this;
        }

        public Criteria andFSdOutLessThan(BigDecimal value) {
            addCriterion("f_sd_out <", value, "fSdOut");
            return (Criteria) this;
        }

        public Criteria andFSdOutLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_sd_out <=", value, "fSdOut");
            return (Criteria) this;
        }

        public Criteria andFSdOutIn(List<BigDecimal> values) {
            addCriterion("f_sd_out in", values, "fSdOut");
            return (Criteria) this;
        }

        public Criteria andFSdOutNotIn(List<BigDecimal> values) {
            addCriterion("f_sd_out not in", values, "fSdOut");
            return (Criteria) this;
        }

        public Criteria andFSdOutBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_sd_out between", value1, value2, "fSdOut");
            return (Criteria) this;
        }

        public Criteria andFSdOutNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_sd_out not between", value1, value2, "fSdOut");
            return (Criteria) this;
        }

        public Criteria andFWdInIsNull() {
            addCriterion("f_wd_in is null");
            return (Criteria) this;
        }

        public Criteria andFWdInIsNotNull() {
            addCriterion("f_wd_in is not null");
            return (Criteria) this;
        }

        public Criteria andFWdInEqualTo(BigDecimal value) {
            addCriterion("f_wd_in =", value, "fWdIn");
            return (Criteria) this;
        }

        public Criteria andFWdInNotEqualTo(BigDecimal value) {
            addCriterion("f_wd_in <>", value, "fWdIn");
            return (Criteria) this;
        }

        public Criteria andFWdInGreaterThan(BigDecimal value) {
            addCriterion("f_wd_in >", value, "fWdIn");
            return (Criteria) this;
        }

        public Criteria andFWdInGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_wd_in >=", value, "fWdIn");
            return (Criteria) this;
        }

        public Criteria andFWdInLessThan(BigDecimal value) {
            addCriterion("f_wd_in <", value, "fWdIn");
            return (Criteria) this;
        }

        public Criteria andFWdInLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_wd_in <=", value, "fWdIn");
            return (Criteria) this;
        }

        public Criteria andFWdInIn(List<BigDecimal> values) {
            addCriterion("f_wd_in in", values, "fWdIn");
            return (Criteria) this;
        }

        public Criteria andFWdInNotIn(List<BigDecimal> values) {
            addCriterion("f_wd_in not in", values, "fWdIn");
            return (Criteria) this;
        }

        public Criteria andFWdInBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_wd_in between", value1, value2, "fWdIn");
            return (Criteria) this;
        }

        public Criteria andFWdInNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_wd_in not between", value1, value2, "fWdIn");
            return (Criteria) this;
        }

        public Criteria andFSdInIsNull() {
            addCriterion("f_sd_in is null");
            return (Criteria) this;
        }

        public Criteria andFSdInIsNotNull() {
            addCriterion("f_sd_in is not null");
            return (Criteria) this;
        }

        public Criteria andFSdInEqualTo(BigDecimal value) {
            addCriterion("f_sd_in =", value, "fSdIn");
            return (Criteria) this;
        }

        public Criteria andFSdInNotEqualTo(BigDecimal value) {
            addCriterion("f_sd_in <>", value, "fSdIn");
            return (Criteria) this;
        }

        public Criteria andFSdInGreaterThan(BigDecimal value) {
            addCriterion("f_sd_in >", value, "fSdIn");
            return (Criteria) this;
        }

        public Criteria andFSdInGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_sd_in >=", value, "fSdIn");
            return (Criteria) this;
        }

        public Criteria andFSdInLessThan(BigDecimal value) {
            addCriterion("f_sd_in <", value, "fSdIn");
            return (Criteria) this;
        }

        public Criteria andFSdInLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_sd_in <=", value, "fSdIn");
            return (Criteria) this;
        }

        public Criteria andFSdInIn(List<BigDecimal> values) {
            addCriterion("f_sd_in in", values, "fSdIn");
            return (Criteria) this;
        }

        public Criteria andFSdInNotIn(List<BigDecimal> values) {
            addCriterion("f_sd_in not in", values, "fSdIn");
            return (Criteria) this;
        }

        public Criteria andFSdInBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_sd_in between", value1, value2, "fSdIn");
            return (Criteria) this;
        }

        public Criteria andFSdInNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_sd_in not between", value1, value2, "fSdIn");
            return (Criteria) this;
        }

        public Criteria andFMaxIsNull() {
            addCriterion("f_max is null");
            return (Criteria) this;
        }

        public Criteria andFMaxIsNotNull() {
            addCriterion("f_max is not null");
            return (Criteria) this;
        }

        public Criteria andFMaxEqualTo(BigDecimal value) {
            addCriterion("f_max =", value, "fMax");
            return (Criteria) this;
        }

        public Criteria andFMaxNotEqualTo(BigDecimal value) {
            addCriterion("f_max <>", value, "fMax");
            return (Criteria) this;
        }

        public Criteria andFMaxGreaterThan(BigDecimal value) {
            addCriterion("f_max >", value, "fMax");
            return (Criteria) this;
        }

        public Criteria andFMaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_max >=", value, "fMax");
            return (Criteria) this;
        }

        public Criteria andFMaxLessThan(BigDecimal value) {
            addCriterion("f_max <", value, "fMax");
            return (Criteria) this;
        }

        public Criteria andFMaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_max <=", value, "fMax");
            return (Criteria) this;
        }

        public Criteria andFMaxIn(List<BigDecimal> values) {
            addCriterion("f_max in", values, "fMax");
            return (Criteria) this;
        }

        public Criteria andFMaxNotIn(List<BigDecimal> values) {
            addCriterion("f_max not in", values, "fMax");
            return (Criteria) this;
        }

        public Criteria andFMaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_max between", value1, value2, "fMax");
            return (Criteria) this;
        }

        public Criteria andFMaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_max not between", value1, value2, "fMax");
            return (Criteria) this;
        }

        public Criteria andFMinIsNull() {
            addCriterion("f_min is null");
            return (Criteria) this;
        }

        public Criteria andFMinIsNotNull() {
            addCriterion("f_min is not null");
            return (Criteria) this;
        }

        public Criteria andFMinEqualTo(BigDecimal value) {
            addCriterion("f_min =", value, "fMin");
            return (Criteria) this;
        }

        public Criteria andFMinNotEqualTo(BigDecimal value) {
            addCriterion("f_min <>", value, "fMin");
            return (Criteria) this;
        }

        public Criteria andFMinGreaterThan(BigDecimal value) {
            addCriterion("f_min >", value, "fMin");
            return (Criteria) this;
        }

        public Criteria andFMinGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_min >=", value, "fMin");
            return (Criteria) this;
        }

        public Criteria andFMinLessThan(BigDecimal value) {
            addCriterion("f_min <", value, "fMin");
            return (Criteria) this;
        }

        public Criteria andFMinLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_min <=", value, "fMin");
            return (Criteria) this;
        }

        public Criteria andFMinIn(List<BigDecimal> values) {
            addCriterion("f_min in", values, "fMin");
            return (Criteria) this;
        }

        public Criteria andFMinNotIn(List<BigDecimal> values) {
            addCriterion("f_min not in", values, "fMin");
            return (Criteria) this;
        }

        public Criteria andFMinBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_min between", value1, value2, "fMin");
            return (Criteria) this;
        }

        public Criteria andFMinNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_min not between", value1, value2, "fMin");
            return (Criteria) this;
        }

        public Criteria andFAvgIsNull() {
            addCriterion("f_avg is null");
            return (Criteria) this;
        }

        public Criteria andFAvgIsNotNull() {
            addCriterion("f_avg is not null");
            return (Criteria) this;
        }

        public Criteria andFAvgEqualTo(BigDecimal value) {
            addCriterion("f_avg =", value, "fAvg");
            return (Criteria) this;
        }

        public Criteria andFAvgNotEqualTo(BigDecimal value) {
            addCriterion("f_avg <>", value, "fAvg");
            return (Criteria) this;
        }

        public Criteria andFAvgGreaterThan(BigDecimal value) {
            addCriterion("f_avg >", value, "fAvg");
            return (Criteria) this;
        }

        public Criteria andFAvgGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_avg >=", value, "fAvg");
            return (Criteria) this;
        }

        public Criteria andFAvgLessThan(BigDecimal value) {
            addCriterion("f_avg <", value, "fAvg");
            return (Criteria) this;
        }

        public Criteria andFAvgLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_avg <=", value, "fAvg");
            return (Criteria) this;
        }

        public Criteria andFAvgIn(List<BigDecimal> values) {
            addCriterion("f_avg in", values, "fAvg");
            return (Criteria) this;
        }

        public Criteria andFAvgNotIn(List<BigDecimal> values) {
            addCriterion("f_avg not in", values, "fAvg");
            return (Criteria) this;
        }

        public Criteria andFAvgBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_avg between", value1, value2, "fAvg");
            return (Criteria) this;
        }

        public Criteria andFAvgNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_avg not between", value1, value2, "fAvg");
            return (Criteria) this;
        }

        public Criteria andFAvgZbcIsNull() {
            addCriterion("f_avg_zbc is null");
            return (Criteria) this;
        }

        public Criteria andFAvgZbcIsNotNull() {
            addCriterion("f_avg_zbc is not null");
            return (Criteria) this;
        }

        public Criteria andFAvgZbcEqualTo(BigDecimal value) {
            addCriterion("f_avg_zbc =", value, "fAvgZbc");
            return (Criteria) this;
        }

        public Criteria andFAvgZbcNotEqualTo(BigDecimal value) {
            addCriterion("f_avg_zbc <>", value, "fAvgZbc");
            return (Criteria) this;
        }

        public Criteria andFAvgZbcGreaterThan(BigDecimal value) {
            addCriterion("f_avg_zbc >", value, "fAvgZbc");
            return (Criteria) this;
        }

        public Criteria andFAvgZbcGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_avg_zbc >=", value, "fAvgZbc");
            return (Criteria) this;
        }

        public Criteria andFAvgZbcLessThan(BigDecimal value) {
            addCriterion("f_avg_zbc <", value, "fAvgZbc");
            return (Criteria) this;
        }

        public Criteria andFAvgZbcLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_avg_zbc <=", value, "fAvgZbc");
            return (Criteria) this;
        }

        public Criteria andFAvgZbcIn(List<BigDecimal> values) {
            addCriterion("f_avg_zbc in", values, "fAvgZbc");
            return (Criteria) this;
        }

        public Criteria andFAvgZbcNotIn(List<BigDecimal> values) {
            addCriterion("f_avg_zbc not in", values, "fAvgZbc");
            return (Criteria) this;
        }

        public Criteria andFAvgZbcBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_avg_zbc between", value1, value2, "fAvgZbc");
            return (Criteria) this;
        }

        public Criteria andFAvgZbcNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_avg_zbc not between", value1, value2, "fAvgZbc");
            return (Criteria) this;
        }

        public Criteria andFAvgDncIsNull() {
            addCriterion("f_avg_dnc is null");
            return (Criteria) this;
        }

        public Criteria andFAvgDncIsNotNull() {
            addCriterion("f_avg_dnc is not null");
            return (Criteria) this;
        }

        public Criteria andFAvgDncEqualTo(BigDecimal value) {
            addCriterion("f_avg_dnc =", value, "fAvgDnc");
            return (Criteria) this;
        }

        public Criteria andFAvgDncNotEqualTo(BigDecimal value) {
            addCriterion("f_avg_dnc <>", value, "fAvgDnc");
            return (Criteria) this;
        }

        public Criteria andFAvgDncGreaterThan(BigDecimal value) {
            addCriterion("f_avg_dnc >", value, "fAvgDnc");
            return (Criteria) this;
        }

        public Criteria andFAvgDncGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("f_avg_dnc >=", value, "fAvgDnc");
            return (Criteria) this;
        }

        public Criteria andFAvgDncLessThan(BigDecimal value) {
            addCriterion("f_avg_dnc <", value, "fAvgDnc");
            return (Criteria) this;
        }

        public Criteria andFAvgDncLessThanOrEqualTo(BigDecimal value) {
            addCriterion("f_avg_dnc <=", value, "fAvgDnc");
            return (Criteria) this;
        }

        public Criteria andFAvgDncIn(List<BigDecimal> values) {
            addCriterion("f_avg_dnc in", values, "fAvgDnc");
            return (Criteria) this;
        }

        public Criteria andFAvgDncNotIn(List<BigDecimal> values) {
            addCriterion("f_avg_dnc not in", values, "fAvgDnc");
            return (Criteria) this;
        }

        public Criteria andFAvgDncBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_avg_dnc between", value1, value2, "fAvgDnc");
            return (Criteria) this;
        }

        public Criteria andFAvgDncNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("f_avg_dnc not between", value1, value2, "fAvgDnc");
            return (Criteria) this;
        }
    }

    /**
     * t_lqdata
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_lqdata 2018-12-16
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}